package cn.iocoder.yudao.module.system.dal.mysql.dishimage;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.system.controller.admin.dishimage.vo.DishImagePageReqVO;

import cn.iocoder.yudao.module.system.dal.dataobject.dishimage.DishImageDO;
import org.apache.ibatis.annotations.Mapper;


/**
 * 本周菜单 Mapper
 *
 * @author 管理员
 */
@Mapper
public interface DishImageMapper extends BaseMapperX<DishImageDO> {

    default PageResult<DishImageDO> selectPage(DishImagePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DishImageDO>()
                .eqIfPresent(DishImageDO::getCarteenId,reqVO.getCarteenId())
                .likeIfPresent(DishImageDO::getName, reqVO.getName())
                .eqIfPresent(DishImageDO::getStartDate, reqVO.getStartDate())
                .eqIfPresent(DishImageDO::getEndDate, reqVO.getEndDate())
                .eqIfPresent(DishImageDO::getImageUrl, reqVO.getImageUrl())
                .eqIfPresent(DishImageDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(DishImageDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(DishImageDO::getId));
    }

}